# 32/64bit spec
#
Name:            texmaker
Version:         5.1.3
Release:         %mkrel 1
Summary:         A QT-based LATEX editor
Summary(de):	 Ein Qt basierter LaTeX Editor
License:         GPL2
Group:           Publishing
URL:             http://www.xm1math.net/texmaker/
Source0:         %name-%version.tar.xz
BuildRequires:   desktop-file-utils
BuildRequires:	 hunspell-devel
BuildRequires:	 qtcore5-devel
BuildRequires:	 qtgui5-devel
BuildRequires:	 qtnetwork5-devel
BuildRequires:	 qtprintsupport5-devel
BuildRequires:	 qtscript5-devel
BuildRequires:	 qtwidgets5-devel
BuildRequires:	 qtxml5-devel
BuildRequires:	 qtconcurrent5-devel
Requires:	     texlive 
Requires:	     texlive-texmf 
Requires:        aspell 
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: 	%{name} < %version


%description
Texmaker is a free LaTeX editor that integrates many tools needed to develop
documents with LaTeX, in just one application.

It includes the following features:
- an unicode editor to write your LaTeX source files 
  (syntax highlighting, undo-redo, search-replace, ...)
- the principal LaTex tags can be inserted directly with the "LaTeX", 
  "Math" and "Greek" menus 
- 370 mathematical symbols can be inserted in just one click 
- wizards to generate code ('Quick document', 'Quick letter', tabular,
  tabbing and array environments) 
- LaTeX-related programs can be launched via the "Tools" menu 
- the standard Bibtex entry types can be inserted in the ".bib" file
  with the "Bibliography" menu 
- a "structure view" of the document for easier navigation of a document 
  (by clicking on an item in the "Structure" frame, you can jump directly 
  to the corresponding part of your document 
- extensive LaTeX documentation 
- in the "Messages / Log File" frame, you can see information about processes 
  and the logfile after a LaTeX compilation 
- the "Next Latex Error" and "Previous Latex Error" commands let you reach the
  LaTeX errors detected by Kile in the log file 
- by clicking on the number of a line in the log file, the cursor jumps to the 
  corresponding line in the editor 

%description -l de
Texmaker ist ein freier LaTeX Editor, der viele Werkzeuge, welche für die
Erstellung von Dokumenten mit LaTeX gebraucht werden, in einem Programm
intergriert.

Er besitzt unter anderem folgende Eigenschaften:
- einen Unicode Editor zum Schreiben von LaTeX Quelldateien
  (Syntaxhervorhebung, Änderungen entfernen und wieder hinzufügen, Suchen und 
  Ersetzen, ...)
- die wichtigsten LaTeX Befehle können direkt über die Menüs "LaTeX", "Math" und
  "Greek" eingefügt werden
- 370 mathematische Symbole können mit einem Klick eingefügt werden
- Assistenten für die Kodegenerierung ("Dokument", "Brief", tabular-, tabbing-
  und array-Umgebungen)
- LaTeX bezogene Programme können über das Benutzermenü ausgeführt werden
- die Standard-Bibtexeintragstypen können in der ".bib" Datei eingefügt werden,
  mit dem Menü "Bibliographie"
- eine "Strukturansicht" des Dokuments für eine leichtere Navigation durch das
  Dokument (durch einen Klick auf einen Eintrag im "Struktur" Fenster können Sie
  direkt zu der jeweiligen Stelle im Dokument springen.
- ausführliche LaTeX Dokumentation
- Im "Nachrichten / Logdateien" Fenster können Sie Informationen über Prozesse und
  Logdateien nach eine LaTeX Kompilierung ansehen
- Durch das Anklicken einer Zeilennummer in einer Logdatei wird der Cursor an die
  jeweilige Stelle im Editor gesetzt

%prep
%setup -q

%build
export QTDIR=%{qt4dir}
%qmake_qt5
%{__perl} -pi -e "s|-O2|%{optflags}||g" Makefile
%{make}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%_bindir
INSTALL_ROOT=%{buildroot} make install

# icons
mkdir -p %{buildroot}%_miconsdir
cp utilities/texmaker16x16.png %{buildroot}%_miconsdir/%name.png
mkdir -p %{buildroot}%_iconsdir/hicolor/16x16/apps
cp utilities/texmaker16x16.png %{buildroot}%_iconsdir/hicolor/16x16/apps/%name.png
cp utilities/texmaker32x32.png %{buildroot}%_iconsdir/%name.png
mkdir -p %{buildroot}%_iconsdir/hicolor/32x32/apps
cp utilities/texmaker32x32.png %{buildroot}%_iconsdir/hicolor/32x32/apps/%name.png
mkdir -p %{buildroot}%_liconsdir
cp utilities/texmaker48x48.png %{buildroot}%_liconsdir/%name.png
mkdir -p %{buildroot}%_iconsdir/hicolor/48x48/apps
cp utilities/texmaker48x48.png %{buildroot}%_iconsdir/hicolor/48x48/apps/%name.png
mkdir -p %{buildroot}%_iconsdir/hicolor/scalable/apps
cp utilities/texmaker.svg %{buildroot}%_iconsdir/hicolor/scalable/apps/%name.svg

#Menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Publishing" \
  --add-category="X-MandrivaLinux-Office-Publishing" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%_bindir
%_datadir


%changelog
* Fri Nov 18 2022 tex - 5.1.3-1pclos2022
- new version

* Sun Jan 05 2020 tex - 5.0.4-1pclos2020
- new version

* Sat Aug 19 2017 ghostbunny <ghostbunny at gmx dot de> 5.0.2-1pclos2017
- 5.0.2

